'''
# Simply Cloth Material by Vjaceslav Tissen
# vjaceslavt@gmail.com
# In Cooperation with Daniel Meier
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
'''

from .download import download_zip
from pathlib import Path
down_path = Path(__file__).parent
download_zip("addons_file/SimplyMaterial/SimplyTextures.zip",down_path)
download_zip("addons_file/SimplyMaterial/Blend Files.zip",down_path)

bl_info = {
    "name": "Simply Material",
    "author": "fix by wxz",
    "description": "Simplifies the handling of Simply Cloth Materials",
    "blender": (4, 1, 1),
    "version": (1, 3, 0),
    "location": "3d Viewport | N-Panel | Simply Addons",
    "warning": "This is first release, be aware of problems",
    "category": "Object"
}

import bpy

from .import properties
from .import operators
from .import ui_panel

def register():
    properties.register()
    operators.register()
    ui_panel.register()
    pass

def unregister():
    properties.unregister()
    operators.unregister()
    ui_panel.unregister()
    pass

if __name__ == "__main__":
    register()
